TelemetryData

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.gamedata
Class TelemetryData

    java.lang.Object
      net.ctdp.rfdynhud.gamedata.TelemetryData

    public class TelemetryData

extends java.lang.Object

Our world coordinate system is left-handed, with +y pointing up. The local vehicle coordinate system is as follows: +x points out the left side of the car (from the driver's perspective) +y points out the roof +z points out the back of the car Rotations are as follows: +x pitches up +y yaws to the right +z rolls to the right

Author:
  Marvin Froehlich (CTDP)

Nested Class Summary
`static interface` | `TelemetryData.TelemetryDataUpdateListener`

Method Summary
`float` | `getBrakeDiscThickness(Wheel wheel)` Gets the current brake disc thickness.
`float` | `getBrakeTemperature(Wheel wheel)` Gets the current brake temperature in the units selected in the PLR.
`float` | `getBrakeTemperatureC(Wheel wheel)` Gets the current brake temperature in Celsius.
`float` | `getBrakeTemperatureF(Wheel wheel)` Gets the current brake temperature in Fahrenheit.
`float` | `getBrakeTemperatureK(Wheel wheel)` Gets the current brake temperature in Kelvin.
`float` | `getClutchRPM()` Gets the current clutch RPM.
`short` | `getCurrentGear()` Gets the current gear (-1=reverse, 0=neutral, 1+=forward gears).
`float` | `getDeltaTime()` Gets the time since last update (seconds).
`long` | `getDeltaUpdateTime()` The delta time between the last two `TelemetryData` updates (using system timing) (in nanos).
`short[]` | `getDentSevirity()` Gets dent severity at 8 locations around the car (0=none, 1=some, 2=more).
`int` | `getEffectiveEngineBoostMapping()` If temp boost is activated, this returns the maximum (highest valued) boost mapping, otherwise it returns the result of `getEngineBoostMapping()`.
`float` | `getEngineBaseMaxRPM()` Gets the current engine rev limit (base as reported by plugin interface).
`int` | `getEngineBoostMapping()` Gets the currently selected engine boost mapping.
`float` | `getEngineLifetime()` Gets the currently remaining engine's lifetime in seconds.
`float` | `getEngineMaxRPM()` Gets the engine rev limit with max boost.
`float` | `getEngineOilTemperature()` Gets the current engine oil temperature in the units selected in the PLR.
`float` | `getEngineOilTemperatureC()` Gets the current engine oil temperature in Celsius.
`float` | `getEngineOilTemperatureF()` Gets the current engine oil temperature in Fahrenheit.
`float` | `getEngineRPM()` Gets the current engine RPM.
`float` | `getEngineWaterTemperature()` Gets the current engine water temperature in the units selected in the PLR.
`float` | `getEngineWaterTemperatureC()` Gets the current engine water temperature in Celsius.
`float` | `getEngineWaterTemperatureF()` Gets the current engine water temperature in Fahrenheit.
`float` | `getFuel()` Gets the amount of fuel (units selected in the PLR).
`float` | `getFuelGal()` Gets the amount of fuel (galons).
`float` | `getFuelL()` Gets the amount of fuel (liters).
`float` | `getFuelUsageAverage()` Gets the average fuel usage of all recorded (timed) laps.
`float` | `getFuelUsageLastLap()` Gets the fuel usage of the last (timed) lap.
`float` | `getGripFraction(Wheel wheel)` Gets an approximation of what fraction of the contact patch is sliding.
`Wheel` | `getHottestWheel()` Gets the hottest wheel.
`float` | `getLastImpactMagnitude()` Gets the magnitude of last impact.
`TelemVect3` | `getLastImpactPosition(TelemVect3 lastImpactPos)` location of last impact
`float` | `getLastImpactTime()` Gets the time of last impact.
`float` | `getLateralAcceleration()` Gets the lateral acceleration (meters/sec^2).
`float` | `getLateralForce(Wheel wheel)` Gets the current lateral force in Newtons.
`TelemVect3` | `getLocalAcceleration(TelemVect3 localAccel)` Gets the acceleration (meters/sec^2) in local vehicle coordinates.
`TelemVect3` | `getLocalRotation(TelemVect3 localRot)` rotation (radians/sec) in local vehicle coordinates
`TelemVect3` | `getLocalRotationalAcceleration(TelemVect3 localRotAccel)` rotational acceleration (radians/sec^2) in local vehicle coordinates
`TelemVect3` | `getLocalVelocity(TelemVect3 localVel)` velocity (meters/sec) in local vehicle coordinates
`float` | `getLongitudinalAcceleration()` Gets longitudinal acceleration (meters/sec^2).
`TelemVect3` | `getOrientationX(TelemVect3 oriX)` top row of orientation matrix (also converts local vehicle vectors into world X using dot product)
`TelemVect3` | `getOrientationY(TelemVect3 oriY)` mid row of orientation matrix (also converts local vehicle vectors into world Y using dot product)
`TelemVect3` | `getOrientationZ(TelemVect3 oriZ)` bot row of orientation matrix (also converts local vehicle vectors into world Z using dot product)
`TelemVect3` | `getPosition(TelemVect3 position)` Gets world position in meters.
`float` | `getPositionX()` Gets world position in meters.
`float` | `getPositionY()` Gets world position in meters.
`float` | `getPositionZ()` Gets world position in meters.
`float` | `getRideHeight(Wheel wheel)` Gets the current ride height in meters.
`float` | `getScalarVelocity()` Gets the velocity in the units selected in the PLR.
`float` | `getScalarVelocityKPH()` Gets the velocity (km/h).
`float` | `getScalarVelocityMPH()` Gets the velocity (mph).
`float` | `getScalarVelocityMPS()` Gets the velocity (meters/sec).
`float` | `getSteeringArmForce()` Gets the force on steering arms.
`SurfaceType` | `getSurfaceType(Wheel wheel)` Gets surface type under the tire.
`boolean` | `getTemporaryBoostFlag()` Is temporary boost enabled?
`java.lang.String` | `getTerrainName(Wheel wheel)` Gets the material prefixes from the TDF file.
`float` | `getTireLoad(Wheel wheel)` Gets the current tire load in Newtons.
`float` | `getTirePressure(Wheel wheel)` Gets the current tire pressure in kPa.
`float` | `getTireTemperature(Wheel wheel)` Gets the current tire temperature in the units selected in the PLR (Celsius or Fahrenheit) : ( (INSIDE + CENTER + OUTSIDE) / 3 )
`float` | `getTireTemperature(Wheel wheel, WheelPart part)` Gets the current tire temperature in the units selected in the PLR (Celsius or Fahrenheit).
`float` | `getTireTemperatureC(Wheel wheel)` Gets the current tire temperature in Celsius : ( (INSIDE + CENTER + OUTSIDE) / 3 )
`float` | `getTireTemperatureC(Wheel wheel, WheelPart part)` Gets the current tire temperature in Celsius.
`float` | `getTireTemperatureF(Wheel wheel)` Gets the current tire temperature in Fahrenheit : ( (INSIDE + CENTER + OUTSIDE) / 3 )
`float` | `getTireTemperatureF(Wheel wheel, WheelPart part)` Gets the current tire temperature in Fahrenheit.
`float` | `getTireWear(Wheel wheel)` Gets current tire wear (0.0-1.0, fraction of maximum) ... this is not necessarily proportional with grip loss.
`float` | `getUnfilteredBrake()` Get the current unfiltered brake application [0.0,1.0].
`float` | `getUnfilteredClutch()` Get the current unfiltered clutch application [0.0,1.0].
`float` | `getUnfilteredSteering()` Get the current unfiltered steering application [-1.0,1.0] (left to right).
`float` | `getUnfilteredThrottle()` Get the current unfiltered throttle application [0.0,1.0].
`long` | `getUpdateId()` This is incremented every time the info is updated.
`long` | `getUpdateTimestamp()` The system timestamp (in nanos) of the last `TelemetryData` update.
`float` | `getWheelRotation(Wheel wheel)` Gets the curent wheel rotation in radians/sec.
`float` | `getWheelSuspensionDeflection(Wheel wheel)` Gets the current suspension deflection in meters.
`boolean` | `isAnythingDetached()` Gets whether any parts (besides wheels) have been detached.
`boolean` | `isOverheating()` Gets whether overheating icon is shown.
`boolean` | `isUpdatedInTimeScope()` Gets, whether the last update of these data has been done while in running session resp. realtime mode.
`boolean` | `isWheelDetached(Wheel wheel)` Gets whether wheel is detached.
`boolean` | `isWheelFlat(Wheel wheel)` Gets whether tire is flat.
`void` | `readFromStream(java.io.InputStream in)`
`void` | `registerListener(TelemetryData.TelemetryDataUpdateListener l)`
`void` | `unregisterListener(TelemetryData.TelemetryDataUpdateListener l)`
`void` | `writeToStream(java.io.OutputStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### registerListener

    public void registerListener(TelemetryData.TelemetryDataUpdateListener l)

### unregisterListener

    public void unregisterListener(TelemetryData.TelemetryDataUpdateListener l)

### readFromStream

    public void readFromStream(java.io.InputStream in)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeToStream

    public void writeToStream(java.io.OutputStream out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getUpdateTimestamp

    public final long getUpdateTimestamp()

  The system timestamp (in nanos) of the last `TelemetryData` update.

  Returns:
    system timestamp (in nanos) of the last `TelemetryData` update.

### getDeltaUpdateTime

    public final long getDeltaUpdateTime()

  The delta time between the last two `TelemetryData` updates (using system timing) (in nanos).

  Returns:
    delta time between the last two `TelemetryData` updates (using system timing).

### isUpdatedInTimeScope

    public final boolean isUpdatedInTimeScope()

  Gets, whether the last update of these data has been done while in running session resp. realtime mode.

  Returns:
    whether the last update of these data has been done while in running session resp. realtime mode.

### getUpdateId

    public final long getUpdateId()

  This is incremented every time the info is updated.

  Returns:
    the current update id.

### getTemporaryBoostFlag

    public final boolean getTemporaryBoostFlag()

  Is temporary boost enabled?

  Returns:
    whether temporary boost is enabled.

### getEngineBoostMapping

    public final int getEngineBoostMapping()

  Gets the currently selected engine boost mapping.

  Returns:
    the currently selected engine boost mapping.

### getEffectiveEngineBoostMapping

    public final int getEffectiveEngineBoostMapping()

  If temp boost is activated, this returns the maximum (highest valued) boost mapping, otherwise it returns the result of `getEngineBoostMapping()`.

  Returns:
    the effective engine boost mapping.

### getEngineLifetime

    public final float getEngineLifetime()

  Gets the currently remaining engine's lifetime in seconds. When you enter the cockpit the value will be the result of gameData.getPhysics().getEngine().getSafeLifetimeTotal( gameData.getScoringInfo().getRaceLengthPercentage() );

  Returns:
    the currently remaining engine's lifetime in seconds.

### getBrakeDiscThickness

    public final float getBrakeDiscThickness(Wheel wheel)

  Gets the current brake disc thickness.

  Parameters:
    `wheel` -
  Returns:

### getFuelUsageLastLap

    public final float getFuelUsageLastLap()

  Gets the fuel usage of the last (timed) lap.

  Returns:
    the fuel usage of the last (timed) lap.

### getFuelUsageAverage

    public final float getFuelUsageAverage()

  Gets the average fuel usage of all recorded (timed) laps.

  Returns:
    the average fuel usage of all recorded (timed) laps.

### getDeltaTime

    public final float getDeltaTime()

  Gets the time since last update (seconds).

  Returns:
    the time since last update (seconds).

### getPosition

    public final TelemVect3 getPosition(TelemVect3 position)

  Gets world position in meters.

  Parameters:
    `position` - output buffer
  Returns:
    the output buffer back again.

### getPositionX

    public final float getPositionX()

  Gets world position in meters.

  Returns:
    world position in meters.

### getPositionY

    public final float getPositionY()

  Gets world position in meters.

  Returns:
    world position in meters.

### getPositionZ

    public final float getPositionZ()

  Gets world position in meters.

  Returns:
    world position in meters.

### getLocalVelocity

    public final TelemVect3 getLocalVelocity(TelemVect3 localVel)

  velocity (meters/sec) in local vehicle coordinates

  Parameters:
    `localVel` - output buffer
  Returns:
    the output buffer back again.

### getScalarVelocityMPS

    public final float getScalarVelocityMPS()

  Gets the velocity (meters/sec).

  Returns:
    the velocity (meters/sec).

### getScalarVelocityMPH

    public final float getScalarVelocityMPH()

  Gets the velocity (mph).

  Returns:
    the velocity (mph).

### getScalarVelocityKPH

    public final float getScalarVelocityKPH()

  Gets the velocity (km/h).

  Returns:
    the velocity (km/h).

### getScalarVelocity

    public final float getScalarVelocity()

  Gets the velocity in the units selected in the PLR.

  Returns:
    the velocity in the units selected in the PLR.

### getLocalAcceleration

    public final TelemVect3 getLocalAcceleration(TelemVect3 localAccel)

  Gets the acceleration (meters/sec^2) in local vehicle coordinates.

  Parameters:
    `localAccel` - output buffer
  Returns:
    the output buffer back again.

### getLongitudinalAcceleration

    public final float getLongitudinalAcceleration()

  Gets longitudinal acceleration (meters/sec^2).

  Returns:
    longitudinal acceleration (meters/sec^2).

### getLateralAcceleration

    public final float getLateralAcceleration()

  Gets the lateral acceleration (meters/sec^2).

  Returns:
    the lateral acceleration (meters/sec^2).

### getOrientationX

    public final TelemVect3 getOrientationX(TelemVect3 oriX)

  top row of orientation matrix (also converts local vehicle vectors into world X using dot product)

  Parameters:
    `oriX` - output buffer
  Returns:
    the output buffer back again.

### getOrientationY

    public final TelemVect3 getOrientationY(TelemVect3 oriY)

  mid row of orientation matrix (also converts local vehicle vectors into world Y using dot product)

  Parameters:
    `oriY` - output buffer
  Returns:
    the output buffer back again.

### getOrientationZ

    public final TelemVect3 getOrientationZ(TelemVect3 oriZ)

  bot row of orientation matrix (also converts local vehicle vectors into world Z using dot product)

  Parameters:
    `oriZ` - output buffer
  Returns:
    the output buffer back again.

### getLocalRotation

    public final TelemVect3 getLocalRotation(TelemVect3 localRot)

  rotation (radians/sec) in local vehicle coordinates

  Parameters:
    `localRot` - output buffer
  Returns:
    the output buffer back again.

### getLocalRotationalAcceleration

    public final TelemVect3 getLocalRotationalAcceleration(TelemVect3 localRotAccel)

  rotational acceleration (radians/sec^2) in local vehicle coordinates

  Parameters:
    `localRotAccel` - output buffer
  Returns:
    the output buffer back again.

### getCurrentGear

    public final short getCurrentGear()

  Gets the current gear (-1=reverse, 0=neutral, 1+=forward gears).

  Returns:
    the current gear.

### getEngineRPM

    public final float getEngineRPM()

  Gets the current engine RPM.

  Returns:
    the current engine RPM.

### getEngineWaterTemperatureC

    public final float getEngineWaterTemperatureC()

  Gets the current engine water temperature in Celsius.

  Returns:
    the current engine water temperature in Celsius.

### getEngineWaterTemperatureF

    public final float getEngineWaterTemperatureF()

  Gets the current engine water temperature in Fahrenheit.

  Returns:
    the current engine water temperature in Fahrenheit.

### getEngineWaterTemperature

    public final float getEngineWaterTemperature()

  Gets the current engine water temperature in the units selected in the PLR.

  Returns:
    the current engine water temperature in the units selected in the PLR.

### getEngineOilTemperatureC

    public final float getEngineOilTemperatureC()

  Gets the current engine oil temperature in Celsius.

  Returns:
    the current engine oil temperature in Celsius.

### getEngineOilTemperatureF

    public final float getEngineOilTemperatureF()

  Gets the current engine oil temperature in Fahrenheit.

  Returns:
    the current engine oil temperature in Fahrenheit.

### getEngineOilTemperature

    public final float getEngineOilTemperature()

  Gets the current engine oil temperature in the units selected in the PLR.

  Returns:
    the current engine oil temperature in the units selected in the PLR.

### getClutchRPM

    public final float getClutchRPM()

  Gets the current clutch RPM.

  Returns:
    the current clutch RPM.

### getUnfilteredThrottle

    public final float getUnfilteredThrottle()

  Get the current unfiltered throttle application [0.0,1.0].

  Returns:
    the current unfiltered throttle application [0.0,1.0].

### getUnfilteredBrake

    public final float getUnfilteredBrake()

  Get the current unfiltered brake application [0.0,1.0].

  Returns:
    the current unfiltered brake application [0.0,1.0].

### getUnfilteredClutch

    public final float getUnfilteredClutch()

  Get the current unfiltered clutch application [0.0,1.0].

  Returns:
    the current unfiltered clutch application [0.0,1.0].

### getUnfilteredSteering

    public final float getUnfilteredSteering()

  Get the current unfiltered steering application [-1.0,1.0] (left to right).

  Returns:
    the current unfiltered steering application [-1.0,1.0] (left to right).

### getSteeringArmForce

    public final float getSteeringArmForce()

  Gets the force on steering arms.

  Returns:
    the force on steering arms.

### getFuelL

    public final float getFuelL()

  Gets the amount of fuel (liters).

  Returns:
    the amount of fuel (liters).

### getFuelGal

    public final float getFuelGal()

  Gets the amount of fuel (galons).

  Returns:
    the amount of fuel (galons).

### getFuel

    public final float getFuel()

  Gets the amount of fuel (units selected in the PLR).

  Returns:
    the amount of fuel (units selected in the PLR).

### getEngineBaseMaxRPM

    public final float getEngineBaseMaxRPM()

  Gets the current engine rev limit (base as reported by plugin interface).

  Returns:
    the current engine rev limit (base as reported by plugin interface).

### getEngineMaxRPM

    public final float getEngineMaxRPM()

  Gets the engine rev limit with max boost.

  Returns:
    the engine rev limit with max boost.

### isOverheating

    public final boolean isOverheating()

  Gets whether overheating icon is shown.

  Returns:
    whether overheating icon is shown.

### isAnythingDetached

    public final boolean isAnythingDetached()

  Gets whether any parts (besides wheels) have been detached.

  Returns:
    whether any parts (besides wheels) have been detached

### getDentSevirity

    public final short[] getDentSevirity()

  Gets dent severity at 8 locations around the car (0=none, 1=some, 2=more).

  Returns:
    dent severity at 8 locations around the car.

### getLastImpactTime

    public final float getLastImpactTime()

  Gets the time of last impact.

  Returns:
    the time of last impact.

### getLastImpactMagnitude

    public final float getLastImpactMagnitude()

  Gets the magnitude of last impact.

  Returns:
    the magnitude of last impact.

### getLastImpactPosition

    public final TelemVect3 getLastImpactPosition(TelemVect3 lastImpactPos)

  location of last impact

  Parameters:
    `lastImpactPos` - output buffer
  Returns:
    the output buffer back again.

### getWheelRotation

    public final float getWheelRotation(Wheel wheel)

  Gets the curent wheel rotation in radians/sec.

  Parameters:
    `wheel` - the queried wheel
  Returns:
    the curent wheel rotation in radians/sec.

### getWheelSuspensionDeflection

    public final float getWheelSuspensionDeflection(Wheel wheel)

  Gets the current suspension deflection in meters.

  Parameters:
    `wheel` - the queried wheel
  Returns:
    the current suspension deflection in meters.

### getRideHeight

    public final float getRideHeight(Wheel wheel)

  Gets the current ride height in meters.

  Parameters:
    `wheel` - the queried wheel
  Returns:
    the current ride height in meters.

### getTireLoad

    public final float getTireLoad(Wheel wheel)

  Gets the current tire load in Newtons.

  Parameters:
    `wheel` - the queried wheel
  Returns:
    the current tire load in Newtons.

### getLateralForce

    public final float getLateralForce(Wheel wheel)

  Gets the current lateral force in Newtons.

  Parameters:
    `wheel` - the queried wheel
  Returns:
    the current lateral force in Newtons.

### getGripFraction

    public final float getGripFraction(Wheel wheel)

  Gets an approximation of what fraction of the contact patch is sliding.

  Parameters:
    `wheel` - the queried wheel
  Returns:
    an approximation of what fraction of the contact patch is sliding.

### getBrakeTemperatureK

    public final float getBrakeTemperatureK(Wheel wheel)

  Gets the current brake temperature in Kelvin.

  Parameters:
    `wheel` - the queried wheel
  Returns:
    the current brake temperature in Kelvin.

### getBrakeTemperatureC

    public final float getBrakeTemperatureC(Wheel wheel)

  Gets the current brake temperature in Celsius.

  Parameters:
    `wheel` - the queried wheel
  Returns:
    the current brake temperature in Celsius.

### getBrakeTemperatureF

    public final float getBrakeTemperatureF(Wheel wheel)

  Gets the current brake temperature in Fahrenheit.

  Parameters:
    `wheel` - the queried wheel
  Returns:
    the current brake temperature in Fahrenheit.

### getBrakeTemperature

    public final float getBrakeTemperature(Wheel wheel)

  Gets the current brake temperature in the units selected in the PLR.

  Parameters:
    `wheel` - the queried wheel
  Returns:
    the current brake temperature in the units selected in the PLR.

### getTirePressure

    public final float getTirePressure(Wheel wheel)

  Gets the current tire pressure in kPa.

  Parameters:
    `wheel` - the queried wheel
  Returns:
    the current tire pressure in kPa.

### getTireTemperatureC

    public final float getTireTemperatureC(Wheel wheel,
                                           WheelPart part)

  Gets the current tire temperature in Celsius.

  Parameters:
    `wheel` - the queried wheel
    `part` - the wheel part
  Returns:
    the current tire temperature in Celsius.

### getTireTemperatureF

    public final float getTireTemperatureF(Wheel wheel,
                                           WheelPart part)

  Gets the current tire temperature in Fahrenheit.

  Parameters:
    `wheel` - the queried wheel
    `part` - the wheel part
  Returns:
    the current tire temperature in Fahrenheit.

### getTireTemperature

    public final float getTireTemperature(Wheel wheel,
                                          WheelPart part)

  Gets the current tire temperature in the units selected in the PLR (Celsius or Fahrenheit).

  Parameters:
    `wheel` - the queried wheel
    `part` - the wheel part
  Returns:
    the current tire temperature in the units selected in the PLR.

### getTireTemperatureC

    public final float getTireTemperatureC(Wheel wheel)

  Gets the current tire temperature in Celsius : ( (INSIDE + CENTER + OUTSIDE) / 3 )

  Parameters:
    `wheel` - the queried wheel
  Returns:
    the current tire temperature in Celsius.

### getTireTemperatureF

    public final float getTireTemperatureF(Wheel wheel)

  Gets the current tire temperature in Fahrenheit : ( (INSIDE + CENTER + OUTSIDE) / 3 )

  Parameters:
    `wheel` - the queried wheel
  Returns:
    the current tire temperature in Fahrenheit.

### getTireTemperature

    public final float getTireTemperature(Wheel wheel)

  Gets the current tire temperature in the units selected in the PLR (Celsius or Fahrenheit) : ( (INSIDE + CENTER + OUTSIDE) / 3 )

  Parameters:
    `wheel` - the queried wheel
  Returns:
    the current tire temperature in the units selected in the PLR

### getHottestWheel

    public final Wheel getHottestWheel()

  Gets the hottest wheel.

  Returns:
    the hottest wheel.

### getTireWear

    public final float getTireWear(Wheel wheel)

  Gets current tire wear (0.0-1.0, fraction of maximum) ... this is not necessarily proportional with grip loss.

  Parameters:
    `wheel` - the queried wheel
  Returns:
    current tire wear.

### getTerrainName

    public final java.lang.String getTerrainName(Wheel wheel)

  Gets the material prefixes from the TDF file.

  Parameters:
    `wheel` - the queried wheel
  Returns:
    the material prefixes from the TDF file.

### getSurfaceType

    public final SurfaceType getSurfaceType(Wheel wheel)

  Gets surface type under the tire.

  Parameters:
    `wheel` - the queried wheel
  Returns:
    surface type under the tire.

### isWheelFlat

    public final boolean isWheelFlat(Wheel wheel)

  Gets whether tire is flat.

  Parameters:
    `wheel` - the queried wheel
  Returns:
    whether tire is flat.

### isWheelDetached

    public final boolean isWheelDetached(Wheel wheel)

  Gets whether wheel is detached.

  Parameters:
    `wheel` - the queried wheel
  Returns:
    whether wheel is detached.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD